#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re, string
from decimal import Decimal
census_file = open('c:\\big\\mr(31)-co.txt', "r")
total = 0
for line in census_file:
  if line[2:3] == " ":
    amount = line[8:1000]
    lineitems = re.split(r' +',amount)
    for item in lineitems:
      if item.isdigit():
         total = total + int(item)
print "The total US population and Puerto Rico is " + str(total)
exit

 
