#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import sys, re, string
doub_file = open("c:\\ftp\\doublets.txt", "r")
doub_hash = {}
for line in doub_file:
  line = string.rstrip(line)
  doub_hash[line] = " "
doub_file.close()
print "What would you like to scrub?"
line = sys.stdin.readline()
line = string.lower(line)
line = string.rstrip(line)
linearray = re.split(r' +', line)
lastword = "*"
for i in range(0, len(linearray)):
   doublet = " ".join(linearray[i:i+2])
   if doub_hash.has_key(doublet):
     print " " + linearray[i],
     lastword = " " + linearray[i+1]
   else:
     print lastword,
     lastword = " *"
   if (i == len(linearray) + 1):
     print lastword
exit

 
