#!/usr/local/bin/perl
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
use LWP::Simple;
$good_url = qq|http://julesberman.info/factoids/batch.htm|;
$content = get($good_url);
if (defined ($content))
{
print $content;
}
else
{
print "\nSorry, the get() call returned undef for $good_url";
}
$bad_url = qq|http://julesberman.info/factoids/xxxxx.htm|;
$content = get($bad_url);
if (defined ($content))
{
print $content;
}
else
{
print "\nSorry, the get() call returned undef for $bad_url";
}
exit;
