#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
def pngsave(im, file):
  from PIL import PngImagePlugin
  meta = PngImagePlugin.PngInfo()
  for k,v in im.info.iteritems():
      meta.add_text(k, v, 0)
  im.save(file, "PNG", pnginfo=meta)
from PIL import Image
image = Image.open("c:/ftp/3320.jpg")
image.save("c:/ftp/3320.png")
rdf_file = open("c:/ftp/rdf_desc.xml", "rb")
description = rdf_file.read()
rdf_file.close()
im = Image.open("c:/ftp/3320.png")
im.info["description"] = description
pngsave(im, "c:/ftp/3320.png")
exit 
