#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re, string
in_file = open('schema.txt', "r")
out_file = open("schema.dot", "w")
print>>out_file, "digraph G {"
print>>out_file, "size=\"15,15\";"
print>>out_file, "ranksep=\"3.00\";"
clump = ""
for line in in_file:
  namematch = re.match(r'\<\/rdfs\:Class>', line)
  if (namematch):
    father = ""
    child = ""
    clump = re.sub(r'\n', ' ', clump)
    fathermatch = re.search(r'\:resource\=\"[a-zA-Z0-9\:\/\_\.\-]*\#([a-zA-Z\_]+)\"', clump)
    if fathermatch:
      father = fathermatch.group(1)
    childmatch = re.search(r'rdf\:ID\=\"([a-zA-Z\_]+)\"', clump)
    if childmatch:
      child = childmatch.group(1)
    print>>out_file, father + " -> " + child + ";"
    clump = ""
  else:
    clump = clump + line
print>>out_file, "}"
exit 
