#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re, string
stat_in = open("c:/ftp/cdc_states.txt", "r")
statehash = {}
state_tally = {}
for line in stat_in:
  code_match = re.match(r'([0-9]{2})', line)
  if code_match:
    state_code = code_match.group(1)
  abb_match = re.search(r' +([A-Z]{2}) *$', line)
  if abb_match:
    state_abb = abb_match.group(1)
  statehash[state_code] = state_abb
  state_tally[state_abb] = 0
stat_in.close()
mort_in = open("c:/big/Mort99us.dat", "r")
for line in mort_in:
  state = 0
  codesection = line[161:302]
  cocc_match = re.search(r'B38', codesection)
  if cocc_match:
    code = line[20:22]
    state = statehash[code]
    state_tally[state] = state_tally[state] + 1
mort_in.close()
for key,value in state_tally.iteritems():
 if (value == 0):
   continue
 print key + " " + str(value)
exit

 
