#!/usr/local/bin/ruby
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
require 'RMagick'
include Magick
filelist = Dir.glob("c:/ftp/rgbfigs/*.*") 
filelist.each do
 |filepathname|
 filepathname = filepathname.chomp
 filepathname =~ /c:\/ftp\/rgbfigs\//
 filename = $'
 next if filename =~ /\.db/
 newpathname = "c:/ftp/bwfigs/" + filename
 bw_image = ImageList.new(filepathname).quantize(number_colors=256,
    colorspace=Magick::GRAYColorspace, dither=true, tree_depth=0, 
    measure_error=false)
 bw_image.write(newpathname)
end
exit 
