#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import Image, ImageDraw
im = Image.open("c:/ftp/metajpg/empty.gif")
draw = ImageDraw.Draw(im)
data_string = "1 1 1 3 4 9 27 45 89 89 32 51 69 92 11 11 80 43"
data_array = data_string.split(" ")
x_coord = 20
for i in data_array:
  x_coord = x_coord + 25
  y_coord = 300 - int(i)
  draw.line((x_coord,300) + (x_coord, y_coord), width=4, fill=000)
im.save("c:/ftp/metajpg/empty1.jpg")
exit 
