#!/usr/local/bin/ruby
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
require 'RMagick'
include Magick
img = Magick::ImageList.new("c:/ftp/metajpg/empty.gif")
gc = Magick::Draw.new
gc.fill_opacity(0)
gc.stroke('black').stroke_width(3)
data_string = "1 1 1 3 4 9 27 45 89 89 32 51 69 92 11 11 80 43"
data_array = data_string.split(/ /)
baseline = 30
data_array.each do
  |x|
  gc.line(baseline,(300 - x.to_i), baseline,300)
  baseline = 25 + baseline
end
gc.draw(img)
img.write("c:/ftp/empty1.gif")
exit 
