#!/usr/local/bin/ruby
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
freq = Hash.new(0)
zipfarray = []
file_out = File.open("meshzipf.txt","w")
file1 = File.open("c\:\\big\\d2009.bin", "r")
file1.read.scan(/\b[A-Za-z][a-z]{2,15}\b/){|word| freq[word] = freq[word]+1}
file1 = ""
freq.each do
  |key, value|
  value = "000000" + value.to_s
  value = value.slice(-6,6)
  key = key.downcase
  zipfarray.push("#{value} #{key}")
end
zipfarray.sort.reverse.each {|item| file_out.puts item}
exit

 
