#!/usr/local/bin/perl
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
open (TEXT, "titles.txt");
undef($/);
$textfile = <TEXT>;
$textfile =~ s/\n/ /g;
@sentencearray = split(/[\.\!\?] +(?=[A-Z])/, $textfile);
for ($i=0;$i<(scalar(@sentencearray));$i++)
{
$location = $i + 1;
$sentence = lc($sentencearray[$i]);
while ($sentence =~ /\b[a-z]{3,15}\b/g)
{
if (exists($wordhash{$&}))
{
$wordhash{$&} = $wordhash{$&} . "," . $location;
}
else
{
$wordhash{$&} = $location;
}
}
}
foreach $key (sort(keys(%wordhash)))
{
print "$key $wordhash{$key}\n";
}
exit;
