#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re
import string
sentence_list = []
word_list = []
word_dict = {}
format_list = []
count = 0
stopfile = open("stop.txt",'r')
stop_list = stopfile.readlines()
stopfile.close()
in_text = open('titles.txt', "r")
in_text_string = in_text.read()
in_text_string = in_text_string.replace("\n"," ")
in_text_string = in_text_string.replace(" +"," ")
sentence_list = re.split(r'[\.\!\?] +(?=[A-Z])',in_text_string)
for sentence in sentence_list:
   count = count + 1
   sentence = string.lower(sentence)
   word_list = re.findall(r'(\b[a-z]{3,15}\b)', sentence)
   for word in word_list:
       if word_dict.has_key(word):
         word_dict[word] = word_dict[word] + ',' + str(count)
       else:
         word_dict[word] = str(count)
keylist = word_dict.keys()
keylist.sort()
for key in keylist:
  print key, word_dict[key]
exit

 
