#!/usr/local/bin/ruby
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
word_array = []
word_dict = {}
count = 0
text = IO.read("titles.txt")
text.gsub!(/\n+/," ") if text.include? "\n"
sentence_array = text.split(/[\.\!\?] +(?=[A-Z])/)
sentence_array.each do
 |sentence|
 count = count + 1
 sentence = sentence.downcase
 word_array = sentence.scan(/\b[a-z]{3,15}\b/)
 word_array.each do
   |word|
   count.to_s
   if word_dict.has_key?(word)
       word_dict[word] = "#{word_dict[word]}\,#{count}"
   else
      word_dict[word] = "#{count}"
   end
 end
end
out_array = word_dict.keys.sort
out_array.each{|word| puts "#{word} #{word_dict[word]}"}
exit

 
