#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re
import string
item_list = []
item_dictionary = {}
place_string = ""
stopfile = open("stop.txt",'r')
stop_list = stopfile.readlines()
stopfile.close()
in_text = open('text.txt', "r")
in_text_string = in_text.read()
in_text_string = in_text_string.replace("\n"," ")
in_text_string = in_text_string.replace(" +"," ")
sentence_list = re.split(r'[\.\!\?] +(?=[A-Z])',in_text_string)
norm = string.maketrans('','')
badascii = string.translate(norm,norm,string.printable)
badascii_table = badascii + (256 - len(badascii))*" "
junk_table = 256*" "
table = string.maketrans(badascii_table,junk_table)
count = 0
for item in sentence_list:
   count = count + 1
   count_string = str(count)
   item = string.lower(item)
   item = re.sub(r'\'s', "", item)
   item = item.translate(table)
   for stopword in stop_list:
       stopword = string.rstrip(stopword)
       item = re.sub(r' *\b' + stopword + r'\b *', '\n', item)
   item_list = item.split("\n")
   for phrase in item_list:
       phrasematch = re.match(r'^[0-9]', phrase)
       if (phrasematch):
          continue
       if item_dictionary.has_key(phrase):
         item_dictionary[phrase] = item_dictionary[phrase] + ',' + count_string
       else:
         item_dictionary[phrase] = count_string
keylist = item_dictionary.keys()
keylist.sort()
for key in keylist:
  print key, item_dictionary[key]
exit

 
