#!/usr/local/bin/perl
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
@filearray = ("paradise.txt", "treasure.txt");
undef($/);
foreach $filename (@filearray)
{
open (STOPFILE, "c\:\\ftp\\stop.txt");
@stoparray = split(/\n/, <STOPFILE>);
open (TEXT, "$filename")||die"cannot";
$textfile = <TEXT>;
$textfile =~ s/\n/ /g;
foreach $stopword (@stoparray)
{
$textfile =~ s/\b$stopword\b/\n/g;
$textfile =~ s/[\,\:\;\(\)]/\n/g;
}
$textfile =~ s/[\.\!\?] +(?=[A-Z])/\n/g;
$textfile = lc($textfile);
$textfile =~ s/ +/ /g;
@phrasearray = split(/ *\n */, $textfile);
foreach $phrase (@phrasearray)
{
$phrase =~ s/ +/ /;
$phrase =~ s/^ +//;
$phrase =~ s/ +$//;
next if ($phrase !~ /^[a-z]+ [a-z ]+$/);
if ($filename eq "paradise.txt")
{
$paradise{$phrase}++;
$treasure{$phrase} = 0 unless exists($treasure{$phrase});
}
if ($filename eq "treasure.txt")
{
$treasure{$phrase}++;
$paradise{$phrase} = 0 unless exists($paradise{$phrase});
}
}
close TEXT;
}
while ((my $key, my $value) = each(%paradise))
{
$count++;
$sumtally1 = $sumtally1 + $value;
$sumtally2 = $sumtally2 + $treasure{$key};
$sqtally1 = $sqtally1 + $value**2;
$sqtally2 = $sqtally2 + $treasure{$key}**2;
$prodtally12 = $prodtally12 + ($value * $treasure{$key});
}
$part1 = $prodtally12 - ($sumtally1 * $sumtally2 / $count);
$part2 = $sqtally1 - (($sumtally1)**2 / $count);
$part3 = $sqtally2 - (($sumtally2)**2 / $count);
$similarity12 = $part1 / sqrt($part2 * $part3);
print "The Pearson score is " . $similarity12 . "\n";
exit;
