#!/usr/local/bin/perl
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
use DBI;
open (TEXT, "c\:\\big\\d2009.bin")||die"Can't open file";
$line = " ";
while ($line ne "")
{
$line = <TEXT>;
if ($line =~ /^MH = (.+)$/)
{
$term = $1;
}
if ($line =~ /^MN = (.+)$/)
{
$number = $1;
$mesh_hash{$number} = $term;
}
}
close TEXT;
my $dbh = DBI->connect("dbi:SQLite:dbname=dbfile","","");
my $sth = $dbh->prepare("CREATE TABLE mesh (number VARCHAR(64),term VARCHAR(64))");
$sth->execute;
$sth = $dbh->prepare("INSERT INTO mesh (number,term) VALUES(?,?)");
$dbh->do( "BEGIN TRANSACTION");
while ((my $key, my $value) = each(%mesh_hash))
{
$sth->execute( $key, $value );
}
$dbh->do( "COMMIT" );
exit;
