#!/usr/local/bin/perl
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
use Fcntl;
use SDBM_File;
tie %doubhash, "SDBM_File", 'doub', O_RDWR|O_CREAT|O_EXCL, 0644;
tie %literalhash, "SDBM_File", 'literal', O_RDWR|O_CREAT|O_EXCL, 0644;
open (TEXT,"c\:\\ftp\\neocl.xml")||die"Cannot";
my $line = " ";
while ($line ne "")
{
$line = <TEXT>;
$line =~ /\"\> ?(.+) ?\<\//;
$phrase = $1;
$phrase =~ s/\b([a-z]+oma)s/$1/g;
$phrase =~ s/\b(tumo[u]?r)s/$1/g;
$literalhash{$phrase} = "";
@hoparray = split(/ /,$phrase);
for ($i=0;$i<(scalar(@hoparray)+1);$i++)
{
if (exists $doubhash{"$hoparray[$i] $hoparray[$i+1]"})
{
next;
}
if ($hoparray[$i+1] ne "")
{
$doubhash{"$hoparray[$i] $hoparray[$i+1]"}= "";
}
}
}
close TEXT;
untie %doubhash;
untie %literalhash;
exit;
