#!/usr/local/bin/perl
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
open (TEXT,"c\:\\ftp\\neocl.xml")||die"Cannot";
$line = " ";
while ($line ne "")
{
$line = <TEXT>;
next if ($line !~ /C[0-9]{7}/);
$line =~ /\"\> ?(.+) ?\<\//;
$phrase = $1;
$doubhash{$phrase}="";
}
close TEXT;
open (TEXT,"c\:\\ftp\\neocl.lst")||die"Cannot";
open (OUT,">new.out")||die"Cannot";
$line = " ";
while ($line ne "")
{
$line = <TEXT>;
$line =~ s/\n//o;
next if ($line eq "");
if (exists $doubhash{$line})
{
print "$line already exists\n";
}
else
{
print OUT "$line\n";
}
}
exit;
