#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re, string
vocab_in = open("c:\\ftp\\neocl.xml", "r")
doub_hash = {}
for line in vocab_in:
  code_match = re.search(r'C[0-9]{7}', line)
  if not code_match:
     continue
  line_match = re.search(r'\"\> ?(.+) ?\<\/', line)
  if line_match:
     phrase = line_match.group(1)
     doub_hash[phrase] = ""
vocab_in.close()
candidate_file = open("c:\\ftp\\neocl.lst", "r")
out_file = open("new.out", "w")
for line in candidate_file:
  line = re.sub(r'\n',"", line)
  if (line == ""):
     continue
  if doub_hash.has_key(line):
     print line + " already exists"
  else:
     print>>out_file, line
exit 
