#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import xml.parsers.expat
import re
parsefile = open('c:\\ftp\\neocl.xml','r')
filestring = parsefile.read()
lastname = ""
code = ""
count = 0
text = ""
def start_element(name, attrs):
    global lastname
    global code
    if attrs.has_key("nci-code"):
      code = attrs["nci-code"]
    else:
      lastname = name + ">" + lastname
def end_element(name):
    global count
    global code
    global text
    global lastname
    if name == "name":
      count = count + 1
      print str(count) + "|" + text + "|" + code + "|" + lastname + "\n"
      text = ""
    lastname = re.sub(name + r'>','', lastname)
def char_data(data):
    global text
    text = repr(data)
    textmatch = re.search(r'\'(.+)\'',text)
    if textmatch:
      text = textmatch.group(1)
p = xml.parsers.expat.ParserCreate()
p.StartElementHandler = start_element
p.EndElementHandler = end_element
p.CharacterDataHandler = char_data
p.Parse(filestring)
exit 
