#!/usr/local/bin/ruby
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
census_file = File.open("c:\\big\\mr\(31\)\-co\.txt")
total = 0
census_file.each do
   |line|
   next if (line.slice(2,1) !~ / /)
   lineitems = line.slice(8,992).split(/ +/)
   subtotal = 0
   lineitems.each {|item| subtotal = subtotal + item.to_i}
   total = total + subtotal
end
puts "The total US population and Puerto Rico is #{total}";
exit 
