#!/usr/local/bin/perl
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
open (TEXT, "c\:\\big\\mr\(31\)\-co\.txt")||die"cannot";
$line = " ";
$total = 0;
while ($line ne "")
{
$line = <TEXT>;
next if (substr($line,2,1) !~ / /);
$age = substr($line,6,2);
$age =~ s/ /0/;
$amount = substr($line, 8, 992);
@lineitems = split(/ +/,$amount);
$subtotal = 0;
foreach $item (@lineitems)
{
$subtotal = $subtotal + $item;
}
$agepop{$age} = $agepop{$age} + $subtotal;
$total = $total + $subtotal;
}
print "The total US population and Puerto Rico is $total\n";
@keysarray = sort(keys(%agepop));
foreach $key (@keysarray)
{
print "$key $agepop{$key}\n";
}
exit;
