#!/usr/local/bin/perl
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
open (ICD, "c\:\\ftp\\each10.txt")||die"cannot";
undef($/);
$line = <ICD>;
$line =~ tr/\000-\011//d;
$line =~ tr/\013-\014//d;
$line =~ tr/\016-\037//d;
$line =~ tr/\041-\055//d;
$line =~ tr/\173-\377//d;
@linearray = split(/\n(?=[ ]*[A-Z][0-9\.]{1,5})/, $line);
foreach $thing (@linearray)
{
if ($thing =~ /^ *([A-Z][0-9\.]{1,5}) ?/)
{
$code = $1;
$term = $';
$term =~ s/\n//;
$term =~ s/[ ]+$//;
$code =~ s/\.//;
$dictionary{$code} = $term;
}
}
close ICD;
$/ = "\n";
open (ICD, "c\:\\big\\Mort99us\.dat");
$line = " ";
while ($line ne "")
{
$line = <ICD>;
$codesection = substr($line,161,140);
$codesection =~ s/ *$//;
@codearray = split(/ +/,$codesection);
foreach $code (@codearray)
{
$code =~ /[A-Z][0-9]+/;
$code = $&;
$counter{$code}++;
}
}
close ICD;
open (OUT, ">cdc.out");
while ((my $key, my $value) = each(%counter))
{
$value = "000000" . $value;
$value = substr($value,-6,6);
push(@filearray, "$value $key $dictionary{$key}");
}
$outfile = join("\n", reverse(sort(@filearray)));
print OUT $outfile;
exit;
