#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re, string
icd_file = open("c:\\ftp\\each10.txt", "r")
icd_string = icd_file.read()
line_array = re.split(r'\n(?= *[A-Z][0-9\.]{1,5})', icd_string)
dictionary = {}
counter = {}
codearray = []
results_array = []
for thing in line_array:
  thing_match = re.search(r'^ *([A-Z][0-9\.]{1,5}) ?(.+)$', thing)
  if thing_match:
    code = thing_match.group(1)
    term = thing_match.group(2)
    term = re.sub(r'[^a-zA-Z ]',"", term)
    term = string.rstrip(term)
    code = re.sub(r'\.',"", code)
    dictionary[code] = term
mort_txt = open("c:\\big\\mort99us.dat", "r")
for line in mort_txt:
  codesection = line[161:302]
  codesection = re.sub(r' *$', "", codesection)
  codearray = re.split(r' +', codesection)
  for code in codearray:
    code_match = re.search(r'([A-Z][0-9]+)', code)
    if code_match:
       code = code_match.group(1)
    if dictionary.has_key(code):
      if counter.has_key(code):
        counter[code] = int(counter[code]) + 1
      else:
        counter[code] = 1
mort_txt.close()
out_mort = open("cdc.out", "w")
for key,value in counter.iteritems():
   value = str(value)
   value = "000000" + value
   value = value[-6:]
   results_array.append(value + " " + key + " " + dictionary[key])
results_array.sort()
results_array.reverse()
print>>out_mort, '\n'.join(results_array)
exit 
