#!/usr/local/bin/ruby
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
doub_file = File.open("c:/ftp/doublets.txt", "r")
doub_hash = {}
doub_file.each_line{|line| line.chomp!; doub_hash[line] = " "}
doub_file.close
puts "What would you like to scrub?"
linearray = gets.chomp.downcase.split
arraysize = linearray.length - 2
lastword = "*"
for arrayindex in (0 .. arraysize)
   doublet = linearray[arrayindex] + " " + linearray[arrayindex+1]
   if doub_hash.key?(doublet)
     print " " + linearray[arrayindex]
     lastword = " " + linearray[arrayindex+1]
   else
     print lastword
     lastword = " *"
   end
   if arrayindex == arraysize
     print lastword
   end
end
exit 
