#!/usr/local/bin/ruby
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
print "Content-type: text/html\r\n\r\n"
print "<html><body></body></html>\r\n"
require 'cgi'
$SAFE = 1
cgi = CGI.new
query_term = cgi.params["tx"].to_s
if (query_term =~ /^[a-z\s]+$/i)
  query_term.untaint
else
  print "\<br\>Only alphabetic letters and spaces are permitted in the query box\n"
  exit
end
print "\<br\>Your query term is #{query_term}\<br\>\<br\>\r\n"
text = File.open("neoself", "r")
text.each do
  |line|
  if (line =~ /#{query_term}/)
     line.gsub!(/\|/,"\<br\>\r\n")
     puts "\<br\>#{line}\<br\>"
  end
end
print "</body></html>\r\n"
exit;
