#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re, string
in_file = open("c:\\big\\Mort99us.dat")
count = 0
whitecount = 0
blackcount = 0
whiteemph = 0
blackemph = 0
for line in in_file:
  count = count + 1
  codesection = line[161:301]
  race = line[59:61]
  if race == "01":
    whitecount = whitecount + 1
  if race == "02":
    blackcount = blackcount + 1
  codematch = re.search(r'J43', codesection)
  if codematch:
    if race == "01":
      whiteemph = whiteemph + 1
    if race == "02":
      blackemph = blackemph + 1
in_file.close()
whiteempfrac = str(100 * (float(whiteemph) / whitecount))
blackempfrac = str(100 * (float(blackemph) / blackcount))
print "Total records in file is " + str(count)
print "Total African-Americans in file is " + str(blackcount)
print "Total Whites in file is " + str(whitecount)
print "Total African-Americans with emphysema is " + str(blackemph)
print "Total Whites with emphysema is " + str(whiteemph)
print "Percent African-Americans with emphysema is " + blackempfrac[0:4]
print "Percent Whites with emphysema is " + whiteempfrac[0:4]
exit 
