#!/usr/local/bin/perl
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
@filearray = qw(mort96us.dat mort99us.dat mort02us.dat mort04us.dat);
foreach $file (@filearray)
{
open (ICD, $file);
$line = " ";
$popcount = 0;
$counter = 0;
while ($line ne "")
{
$line = <ICD>;
$codesection = substr($line,448,140) if ($file eq "mort96us.dat");
$codesection = substr($line,161,140) if ($file eq "mort99us.dat");
$codesection = substr($line,162,140) if ($file eq "mort02us.dat");
$codesection = substr($line,164,140) if ($file eq "mort04us.dat");
$popcount++;
if ($codesection =~ /D57/i)
{
$counter++;
}
}
close ICD;
$rate = $counter / $popcount;
$rate = substr((100000 * $rate),0,5);
print "\n\nDeath certificates listing sickle cell\n";
print " disease is $counter in $file file";
print "\nDeath certificate rate of sickle cell disease\n";
print "is $rate per 100,000 in $file file";
}
exit;
