#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re
sickle_match = re.compile('D57')
lst = ("mort96us.dat","mort99us.dat","mort02us.dat","mort04us.dat")
for file in lst:
  intext = open(file, "r")
  popcount = 0
  counter = 0
  codesection = ""
  for line in intext:
    if file == lst[0]:
      codesection = line[448:588]
    if file == lst[1]:
      codesection = line[161:301]
    if file == lst[2]:
      codesection = line[162:302]
    if file == lst[3]:
      codesection = line[164:304]
    popcount = popcount + 1
    p = sickle_match.search(codesection)
    if p:
      counter  = counter + 1
  intext.close
  rate = float(counter) / float(popcount) * 100000
  rate = str(rate)
  rate = rate[0:5]
  print ('\n\nRecords listing sickle cell is ')
  print (str(counter) + ' in ' + file + ' file')
  print ('\nSickle cell rate per 100,000 records is ')
  print(str(rate) + ' in ' + file + ' file')
exit

 
