#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import Image, ImageDraw
im = Image.open("c:/ftp/metajpg/empty.gif")
draw = ImageDraw.Draw(im)
dict = {}
dict["meso_pleura"] = "0 0 0 3 4 9 27 45 89 189 324 510 691 921 1102 1111 804 430"
dict["meso_peritoneum"] = "0 0 0 2 2 9 9 10 19 32 39 60 88 84 91 63 31 21"
dict["meso_testis"] = "0 0 0 1 2 0 0 1 2 1 1 9 3 8 5 4 2 2"
dict["meso_ovary"] = "0 0 0 1 0 0 2 1 3 3 4 2 1 1 1 1 0 1"
base_y = 580
for key, value in dict.iteritems():
  data_array = value.split(" ")
  big_item = 0
  for item in data_array:
     item = int(item)
     if item > big_item:
       big_item = item
  base_x = 30
  base_y = base_y - 120
  draw.text((base_x,base_y), key)
  for item in data_array:
    item = int((float(item) / big_item)*50)
    draw.line((base_x,base_y) + (base_x, (base_y - item)), width=1, fill=000)
    base_x = base_x + 25
im.save("c:/ftp/meso.jpg")
exit

 
