#!/usr/local/bin/ruby
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
phrase_array = []
stoparray = IO.read("stop.txt").split(/\n/)
sentence_array = IO.read("cancer_gene_titles.txt").split(/\n/)
out_text = File.open("phrases.txt", "w")
sentence_array.each do
 |sentence|
 stoparray.each do
   |stopword|
   sentence.gsub!(/ *\b#{stopword}\b */, "\n") if sentence.include? stopword
 end
 phrase_array = phrase_array + sentence.split(/\n/)
end
out_text.puts phrase_array.sort.uniq
exit

 
