#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import re, string
in_text = open('C:\\big\\omim', "r")
clump = ""
for line in in_text:
  namematch = re.match(r'\*RECORD\*', line)
  if namematch:
    section = re.sub(r'\n', ' ', clump)
    fieldmatch = re.search(r'\*FIELD\* TI(.+)\*FIELD\* TX', section)
    if fieldmatch:
       oncopiece = re.sub(r'\n', '@', clump)
       oncomatch = re.search(r'Oncology:(.+?)\@[A-Z]', oncopiece)
       if oncomatch:
         oncopiece = re.sub(r'@', '\n', string.lower(oncomatch.group(1)))
         print string.lower(fieldmatch.group(1)) + " " + oncopiece + "\n"
    clump = ""
  else:
    clump = clump + line
exit

 
