#!/usr/local/bin/python
#
#This Perl script was created by Jules J. Berman, and is 
#distributed as a supplemental resource for his book,
#Methods in Medical Informatics: Fundamentals of Healthcare 
#Programming in Perl, Python, and Ruby, published in September,
#2010, by the CRC Press 
#
#This software is distributed under the GNU General Public License
#http://www.gnu.org/licenses/gpl.html
#
#The software is provided "as is", without warranty of any kind,
#express or implied, including but not limited to the warranties
#of merchantability, fitness for a particular purpose and
#noninfringement. in no event shall the authors or copyright
#holders be liable for any claim, damages or other liability,
#whether in an action of contract, tort or otherwise, arising
#from, out of or in connection with the software or the use or
#other dealings in the software.
#
import string, re
in_text = open("c:\\big\\cancer_gene_pubmed.txt", "r")
out_text = open("cancer_gene_titles.txt", "w")
clump = ""
for line in in_text:
  record_match = re.match(r'PMID- ', line)
  if record_match:
    title_match = re.search(r'\nTI  -(.+)\n[A-Z]{2}  -', clump)
    if title_match:
      title = title_match.group(1)
      title = string.lower(title)
      title = re.sub(r'\'s', "", title)
      title = re.sub(r'\W', " ", title)
      title = re.sub(r'omas', "oma", title)
      title = re.sub(r'tumour', "tumor", title)
      title = re.sub(r'\n', " ", title)
      title = string.rstrip(title)
      title = string.lstrip(title)
      title = re.sub(r' +', " ", title)
      text_match = re.search(r'[a-z]+', title)
      if not text_match:
        clump = ""
        continue
      print>>out_text, title
    clump = ""
  else:
    clump = clump + line
exit

 
